Subject: AW: [Sigtran] Silent changes to V5UA draft 04 before moving to RF C ?

From: "Eva Weilandt" <[email-masked]>
Date: Thu, 12 Feb 2004 08:52:20 -0000

Lyndon,

shall I submitt a new draft of the standard? Jon Peterson explicitely told
me to wait for the authors final 48 hours to do this. I got the new version
available, but the changes in there are simply the changed message class/tag
values as described in my email. 

Eva

-----Ursprüngliche Nachricht-----
Von: Brian F. G. Bidulock [mailto:[email-masked]] 
Gesendet: February 12, 2004 2:22 AM
An: Pascal Bouveron
Cc: Weilandt, Eva [FRIED:NRA11:EXCH]; [email-masked]; Alain CHAMPENOIS
Betreff: Re: [Sigtran] Silent changes to V5UA draft 04 before moving to RFC
?

Pascal,

Pascal Bouveron wrote:
(Mon, 09 Feb 2004 12:59:45)
> Hello Eva,
> 
> Thanks for the confirmation about changes on the V5UA Message Class, 
> and Parameter Tags values.
> 
> I was wondering: i can't see any anouncement on the Sigtran mailing 
> list about the fact that the V5UA draft is moving to RFC soon. I saw 
> it is now a "proposed standard". As i understand it, the Mailing List 
> is the mainstream for discussions on the evolutions of the 
> drafts/rfc's, right ? I'm not familiar with the RFC procedures, but i 
> would imagine that, before a draft can move to RFC status, it has to 
> be stable for a while. Which does not seem to be the case here, 
> considering that you have decided to change MAJOR elements of the 
> so-called "proposed standard", and call that an RFC, without notifying 
> the Sigtran community thru the Mailing List.
> 
> These are major changes, as they lead to total INCOMPATIBILITY between 
> the draft 04 and the future RFC.

Someone correct me if I'm wrong, but:

An internet-draft is just that: a draft.  No compatibility, whether
backwards or forwards is necessary between drafts.  Implementation of a
draft is for protocol development purposes only.  A protocol is not a
"Proposed Standard" until it acheives RFC status.  Drafts are working group
documents and not intended for general implementation.

> Meaning that vendors developing their V5UA right now based on draft 04 
> will not be able to interop with systems based on the future RFC.

That is the risk one takes by implementing a draft.

> 
> I am just a bit disappointed to see that important changes to the 
> document were not made public, and therefore not subject to 
> discussion.

Tag values are not important changes: they affect neither the design nor the
operation of the protocol.  Assignment of numbers is a matter for IANA and,
until the protocol moves to RFC, are not maintained.  Crossing the t's and
dotting the i's in this manner is fairly common practice in the RFC
development process, at least within the SIGTRAN working group.

> The good news here is that the RFC will include changes to the draft04 
> which makes it move to the right direction, i.e consistency with other 
> UAs, which is good.
> 
> I would appreciate if you would clearly detail in the Mailing List the 
> full changes that you are planning to apply to V5UA draft 04 before it 
> is approved as a new RFC, so that the community can review them 
> quickly.

That said, it makes sense to release a final draft.

--brian

> 
> Many thanks for your efforts.
> 
> Best regards / Meilleures salutations
> Pascal Bouveron
> =============================================
> www.netbricks.com
> Netbricks - Provence - FRANCE
> Tel: (+33) (0)4 42 91 44 77 -- Fax:  (+33) (0)4 42 91 44 71 
> =============================================
> 
> ----- Original Message -----
> From: Eva Weilandt
> To: 'Pascal Bouveron (Netbricks)' ; [email-masked]'
> Sent: Saturday, February 07, 2004 12:19 PM
> Subject: AW: V5UA Parameter Tags conflict with M3UA Tags
> 
> 
> Hi Pascal,
> 
> we will change the message tags together with the message class for 
> the RFC version of V5UA. This will hopefully happen soon. If you need 
> the new tags in the meantime, let me know.
> 
> Thanks for pointing this out. It is always helpful if someone 
> proof-read your documents :-)
> 
> Eva
> -----Ursprüngliche Nachricht-----
> Von: Pascal Bouveron (Netbricks) 
> [mailto:[email-masked]]
> Gesendet: February 2, 2004 11:28 AM
> An: Weilandt, Eva [FRIED:NRA11:EXCH]; [email-masked]
> Betreff: V5UA Parameter Tags conflict with M3UA Tags
> 
> 
> Hello,
> 
> I found other conflicts between V5UA and other UAs, in the Parameter 
> Tags
> definitions:
> 
> Tag 0x0011: "ASP Identifier" for M3UA, but "Link Status" for V5UA Tag 
> 0x0012: "Affected Point Code" for M3UA, but "Sa-Bit" (it actually has 
> no name in draft-04) for V5UA Tag 0x0013: "Correlation Id" for M3UA, 
> but "Error Reason" for V5UA
> 
> Best regards / Meilleures salutations
> Pascal Bouveron
> =============================================
> www.netbricks.com
> Netbricks - Provence - FRANCE
> Tel: (+33) (0)4 42 91 44 77 -- Fax:  (+33) (0)4 42 91 44 71 
> =============================================
> 
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/